=== debian/changelog ===
libsoxr (0.1.0-0ubuntu2) raring; urgency=low

  * Do not export private symbols.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 06 Feb 2013 16:18:12 +0100

libsoxr (0.1.0-0ubuntu1) raring; urgency=low

  * Initial release (Closes: #697614).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 19 Jan 2013 13:59:15 +0100
