=== debian/control ===
Source: libsoxr
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Benjamin Drung <bdrung@debian.org>
Build-Depends: cmake (>= 2.8), debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://sourceforge.net/projects/soxr/
XS-Testsuite: autopkgtest
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libsoxr.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libsoxr.git

Package: libsoxr0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: High quality 1D sample-rate conversion library
 The SoX Resampler library `libsoxr' performs one-dimensional sample-rate
 conversion - it may be used, for example, to resample PCM-encoded audio.
 .
 It aims to give fast and high quality results for any constant (rational or
 irrational) resampling ratio. Phase-response, preserved bandwidth, aliasing,
 and rejection level parameters are all configurable; alternatively, simple
 `preset' configurations may be selected.
 .
 A simple API is provided that allows interfacing using commonly-used sample
 formats and buffering schemes.

Package: libsoxr-lsr0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: High quality 1D sample-rate conversion library (libsamplerate bindings)
 The SoX Resampler library `libsoxr' performs one-dimensional sample-rate
 conversion - it may be used, for example, to resample PCM-encoded audio.
 .
 It aims to give fast and high quality results for any constant (rational or
 irrational) resampling ratio. Phase-response, preserved bandwidth, aliasing,
 and rejection level parameters are all configurable; alternatively, simple
 `preset' configurations may be selected.
 .
 This package contains bindings compatible with the resampling library
 `libsamplerate' (constant rate).

Package: libsoxr-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libsoxr-lsr0 (= ${binary:Version}),
         libsoxr0 (= ${binary:Version}),
         ${misc:Depends}
Description: High quality 1D sample-rate conversion library (development files)
 The SoX Resampler library `libsoxr' performs one-dimensional sample-rate
 conversion - it may be used, for example, to resample PCM-encoded audio.
 .
 It aims to give fast and high quality results for any constant (rational or
 irrational) resampling ratio. Phase-response, preserved bandwidth, aliasing,
 and rejection level parameters are all configurable; alternatively, simple
 `preset' configurations may be selected.
 .
 A simple API is provided that allows interfacing using commonly-used sample
 formats and buffering schemes.
 .
 This package contains the development files.
