## libsoxr 0.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 set (PROJECT_VERSION_MAJOR 0)
 set (PROJECT_VERSION_MINOR 1)
-set (PROJECT_VERSION_PATCH 0)
+set (PROJECT_VERSION_PATCH 1)
 
 # For shared-object; if, since the last public release:
 #  * library code changed at all: ++revision
@@ -20,9 +20,9 @@
 #  * interfaces added:            ++age
 #  * interfaces removed:          age = 0
 
-set (SO_VERSION_CURRENT  0)
+set (SO_VERSION_CURRENT  1)
 set (SO_VERSION_REVISION 0)
-set (SO_VERSION_AGE      0)
+set (SO_VERSION_AGE      1)
 
 
 
@@ -130,9 +130,10 @@
   if (CMAKE_BUILD_TYPE STREQUAL "Release")
     set (CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -s") # strip
   endif ()
-  #option (VISIBILITY_HIDDEN "Build with -fvisibility=hidden." ON)
+  cmake_dependent_option (VISIBILITY_HIDDEN "Build with -fvisibility=hidden." ON
+    "BUILD_SHARED_LIBS" OFF)
   if (VISIBILITY_HIDDEN)
-    add_definitions (-fvisibility=hidden)
+    add_definitions (-fvisibility=hidden -DSOXR_VISIBILITY)
   endif ()
 endif ()
 
@@ -180,7 +181,7 @@
   set (BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
 endif ()
 if (NOT DEFINED LIB_INSTALL_DIR)
-  set (LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib")
+  set (LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
 endif ()
 if (NOT DEFINED INCLUDE_INSTALL_DIR)
   set (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")
