=== src/CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,10 @@
 
 set (RDFT32 fft4g32)
 if (WITH_AVFFT AND AVCODEC_FOUND)
+  set (RDFT32 avfft32)
   set (RDFT32S avfft32s)
 elseif (WITH_PFFFT)
+  #set (RDFT32 pffft32)
   set (RDFT32S pffft32s)
 elseif (WITH_SIMD)
   set (RDFT32S fft4g32s)
@@ -57,7 +59,7 @@
 
 if (WITH_LSR_BINDINGS)
   set (LSR ${PROJECT_NAME}-lsr)
-  set (LSR_SO_VERSION 0.1.8)
+  set (LSR_SO_VERSION 0.1.9)
   set (LSR_SO_VERSION_MAJOR 0)
   add_library (${LSR} ${LIB_TYPE} lsr)
   target_link_libraries (${LSR} ${PROJECT_NAME})
