=== debian/changelog ===
libsoxr (0.1.1-1) unstable; urgency=low

  * New upstream release.
  * Link examples with -lm. Thanks to Martin Pitt for the patch.

 -- Benjamin Drung <bdrung@debian.org>  Fri, 05 Apr 2013 13:06:38 +0200

libsoxr (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #697614).

 -- Benjamin Drung <bdrung@debian.org>  Sat, 19 Jan 2013 13:59:15 +0100
