=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libsoxr
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Benjamin Drung <bdrung@debian.org>
 Build-Depends: cmake (>= 2.8), debhelper (>= 9)
 Standards-Version: 3.9.4
