=== debian/changelog ===
libsoxr (0.1.2-3) unstable; urgency=medium

  * Team upload.
  * Fix FTCBFS:  Closes: #853194
    + Feed endianness from DEB_HOST_ARCH_ENDIAN.
    + Honour DEB_BUILD_OPTIONS=nocheck.
    Thanks to Helmut Grohne <helmut@subdivi.de> for the patch.
  * Bump debhelper compat level to 10.
    + Drop --parallel, now default.
  * Bump Standards-Version to 4.1.1, no changes needed.
  * Drop explicit Testsuite field, not needed anymore.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 04 Nov 2017 21:58:23 +0100

libsoxr (0.1.2-2) unstable; urgency=medium

  * Define NDEBUG to disable debug output (Closes: #822727, LP: #1649224)
  * Update Vcs links to point to https URLs
  * Bump Standards-Version to 3.9.8 (no changes needed)
  * Use https for copyright format specification URL
  * Enable all hardening flags

 -- Benjamin Drung <bdrung@debian.org>  Sun, 25 Dec 2016 18:41:58 +0100

libsoxr (0.1.2-1) unstable; urgency=medium

  [ Benjamin Drung ]
  * New upstream release.
  * Drop example_linking.patch (applied upstream)
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * Drop XS- prefix for Testsuite field
  * Correct short license of src/pffft.* to Spherepack
  * Fix dep5-copyright-license-name-not-unique

  [ Alessio Treglia ]
  * Add myself as Uploader.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 24 Sep 2015 20:44:17 +0200
