=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Benjamin Drung <bdrung@debian.org>
-Build-Depends: cmake (>= 2.8), debhelper (>= 9)
-Standards-Version: 3.9.4
+Uploaders: Benjamin Drung <bdrung@debian.org>,
+           Alessio Treglia <alessio@debian.org>
+Build-Depends: cmake (>= 2.8), debhelper (>= 10)
+Standards-Version: 4.1.1
 Homepage: http://sourceforge.net/projects/soxr/
-XS-Testsuite: autopkgtest
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libsoxr.git
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libsoxr.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/libsoxr.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libsoxr.git
 
 Package: libsoxr0
 Architecture: any
