=== debian/watch ===
version=3
http://sf.net/soxr/soxr-(.+)-Source\.tar\.xz
