=== debian/changelog ===
libsoxr (0.1.3-4build3) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:47:47 +0200

libsoxr (0.1.3-4build2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:20:18 +0100

libsoxr (0.1.3-4build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:18:24 +0200

libsoxr (0.1.3-4) unstable; urgency=medium

  * Team upload.
  * Update the patch fixing the pkg-config content, so the Version field is
    correct also when built without nocheck.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 06 May 2020 16:13:53 +0200

libsoxr (0.1.3-3) unstable; urgency=medium

  * Team upload

  [ Mattia Rizzolo ]
  * Add patch to fix the content of the pkg-config file when built with nocheck.
    (Closes: #942795)

  [ Sebastian Ramacher ]
  * debian/patches: Revert "Add patch to fix FTBFS in sparc64." (Closes:
    #944017)
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 03 May 2020 22:47:06 +0200

libsoxr (0.1.3-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Mattia Rizzolo ]
  * Add patch to fix FTBFS in sparc64.  Closes: #942746
  * Set Rules-Requires-Root:no.
  * Add Build-Depends-Package to the .symbols files.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 21 Oct 2019 14:54:34 +0200

libsoxr (0.1.3-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/watch: Use https protocol
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * New upstream release. (Closes: #934612)
  * debian/control:
    - Bump Standards-Version.
    - Bump debhelper compat to 12.
    - Remove obsolete Pre-Depends.
  * debian/rules: Remove obsolete configure flag
  * debian/patches: Remove since applied upstream.
  * debian/copyright: Remove unused paragraph.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 09 Sep 2019 20:28:47 +0200
