=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: libsoxr
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Benjamin Drung <bdrung@debian.org>,
            Alessio Treglia <alessio@debian.org>
-Build-Depends: cmake (>= 2.8), debhelper (>= 10)
-Standards-Version: 4.1.1
+Build-Depends: cmake (>= 2.8), debhelper-compat (= 12)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://sourceforge.net/projects/soxr/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/libsoxr.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libsoxr.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/libsoxr
+Vcs-Git: https://salsa.debian.org/multimedia-team/libsoxr.git
 
 Package: libsoxr0
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: High quality 1D sample-rate conversion library
  The SoX Resampler library `libsoxr' performs one-dimensional sample-rate
@@ -30,7 +31,6 @@
 Package: libsoxr-lsr0
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: High quality 1D sample-rate conversion library (libsamplerate bindings)
  The SoX Resampler library `libsoxr' performs one-dimensional sample-rate
