=== debian/rules ===
--- 
+++ 
@@ -6,12 +6,6 @@
 
 CONFIGURE_FLAGS = -DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		  -DDOC_INSTALL_DIR=/usr/share/doc/libsoxr-dev
-
-ifeq ($(DEB_HOST_ARCH_ENDIAN),big)
-CONFIGURE_FLAGS += -DHAVE_WORDS_BIGENDIAN_EXITCODE=0
-else
-CONFIGURE_FLAGS += -DHAVE_WORDS_BIGENDIAN_EXITCODE=1
-endif
 
 ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 CONFIGURE_FLAGS += -DBUILD_TESTS=0 -DBUILD_EXAMPLES=1
