=== debian/tests/control ===
Tests: inst-check
Depends: build-essential, libsoxr-dev, pkg-config
